import { IService } from "../Service";
import { StatsSink } from "../stats/StatsSink";
export interface SyncServiceConfig {
    dataPath?: string;
    publicKeyPath?: string;
    listenAddress?: string;
    listenPort?: number;
    label?: string;
    logLevel?: string;
    featureToken?: string;
    enableDownloadLogCompaction?: boolean;
    maxDownloadSize?: number;
}
export declare class SyncService implements IService {
    private readonly config;
    readonly tags: string[];
    stats: StatsSink;
    private logger;
    private syncServer;
    private statsdExporter;
    private statsdSocket;
    constructor(config?: SyncServiceConfig);
    private setLogger(l);
    private start(server);
    private stop();
    private address();
}
